# The original source tarball is at
# http://fox.mit.edu/skunk/xwin/mozilla-fonts.tar.gz

%define	fontdir	/usr/X11R6/lib/X11/fonts/mozilla-fonts

Summary:	A set fonts for Netscape and Mozilla
Name:		mozilla-fonts
Version:	20000310
Release:	5mdk 
Copyright:	Distributable
Group:		System/Fonts/X11 bitmap
URL:		http://fox.mit.edu/skunk/xwin/

Source:		mozilla-fonts.tar.bz2
Patch0:		http://www.crosswinds.net/~raynes/linux/mozilla-fonts-rpm.docs.bz2

Buildroot:	%{_tmppath}/%{name}-%{version}-root
Buildarch:	noarch
Requires:	XFree86-xfs
Prereq:		chkfontpath

%description
This is a complete set of three font faces (Times, Helvetica, Courier)
in seven sizes and four variants each, optimized for use by the Netscape
(Mozilla) WWW browser under Unix.

%prep

%setup -n mozilla-fonts

%patch0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fontdir} 
for i in *.pcf; do
    gzip $i
	install -m 644 $i.gz $RPM_BUILD_ROOT%{fontdir};
done
install -m 644 fonts.alias $RPM_BUILD_ROOT%{fontdir}
cd $RPM_BUILD_ROOT%{fontdir}
mkfontdir

%post
	if [ -z "$DURING_INSTALL" ]; then
		cd %{fontdir}
		chkfontpath --add %{fontdir}
		echo "Restarting xfs..."
		/etc/rc.d/init.d/xfs restart
		if [ $DISPLAY'f' != 'f' ]; then
			set fb rehash
		fi
						 
	fi

%postun
	if [ -z "$DURING_INSTALL" ]; then
		if [ $1 = 0 ]; then
			chkfontpath --remove %{fontdir}
			/etc/rc.d/init.d/xfs restart
			if [ $DISPLAY'f' != 'f' ]; then
				set fb rehash
			fi
							 
		fi
	fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README README.packaged 
%{fontdir}

%changelog
* Sat May 06 2000 Anton Graham <darkimage@bigfoot.com> 20000310-5mdk
- remove sed prereq
- gzip fonts
- reload fonts if installed in an X session
- fix group

* Sat May 06 2000 Warly <warly@mandrakesoft.com> 20000310-4mdk
- remove the xfs restart during install

* Tue Apr 25 2000 David BAUDENS <baudens@mandrakesoft.com> 20000310-3mdk
- New in Linux-Mandrake distribution
- Little adaptations for Linux-Mandrake distribution
- This package contains new default fonts for Netscape

* Wed Apr 12 2000 Anton Graham <darkimage@bigfoot.com>
- incorporated spec changes suggested by Daniel
- Fixed potential problem from forced reinstalls
- used bzip instead of gzip

* Tue Apr 11 2000 Anton Graham <darkimage@bigfoot.com>
- Initial RPM
